binutils: switch to version 2.25.1 by default
[openwrt/openwrt.git] / toolchain / binutils / Config.in
1 # Choose binutils version.
2
3 choice
4 prompt "Binutils Version" if TOOLCHAINOPTS
5 default BINUTILS_USE_VERSION_2_25_1 if !arc
6 default BINUTILS_USE_VERSION_2_23_ARC if arc
7 help
8 Select the version of binutils you wish to use.
9
10 config BINUTILS_USE_VERSION_2_24_LINARO
11 depends on !arc
12 bool "Linaro binutils 2.24"
13 select BINUTILS_VERSION_2_24_LINARO
14
15 config BINUTILS_USE_VERSION_2_25_1
16 depends on !arc
17 bool "Binutils 2.25.1"
18 select BINUTILS_VERSION_2_25_1
19
20 config BINUTILS_USE_VERSION_2_23_ARC
21 depends on arc
22 bool "ARC binutils 2.23"
23 select BINUTILS_VERSION_2_23_ARC
24
25 endchoice
26
27 config EXTRA_BINUTILS_CONFIG_OPTIONS
28 string
29 prompt "Additional binutils configure options" if TOOLCHAINOPTS
30 default ""
31 help
32 Any additional binutils options you may want to include....